]> arthur.barton.de Git - bup.git/blobdiff - t/root-status
bup_rm: take opts as individual arguments
[bup.git] / t / root-status
index 9fb12cb2c4411a2d87e5c7d823061c231a5cb233..4f21599f83aaacb98c83b8ccbb1d0b9989d2d0fb 100755 (executable)
@@ -1,8 +1,19 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
+from sys import stderr
 import sys
 
+
 if sys.platform.startswith('cygwin'):
+    if sys.getwindowsversion()[0] > 5:
+        # Sounds like the situation is much more complicated here
+        print >> stderr, "can't detect root status for OS version > 5; assuming not root"
+        print 'none'
     import ctypes
     if ctypes.cdll.shell32.IsUserAnAdmin():
         print 'root'